Package com.smartgwt.client.types

# Enum SavedSearchStoredState

java.lang.Object
java.lang.Enum<SavedSearchStoredState>
com.smartgwt.client.types.SavedSearchStoredState

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<SavedSearchStoredState>`, `Constable`

public enum SavedSearchStoredState extends Enum<SavedSearchStoredState> implements ValueEnum
What should be stored by a saved search?

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CRITERIA`
  only criteria will be stored, even for components that are capable of storing additional viewState.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static SavedSearchStoredState`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static SavedSearchStoredState[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CRITERIA

    public static final SavedSearchStoredState CRITERIA
    only criteria will be stored, even for components that are capable of storing additional viewState.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "criteria".

- ## Method Details

  - ### values

    public static SavedSearchStoredState[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static SavedSearchStoredState valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`